=== packaging/debian/control ===
Source: touchphat
Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/touch-phat
Section: python
Priority: extra
Build-Depends: debhelper (>= 9.0.0), dh-python, python-all (>= 2.7), python-setuptools, python3-all (>= 3.4), python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-touchphat
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-cap1xxx
Suggests: python-psutil, python-requests
Description: Python library for the Pimoroni Touch pHAT
 Touch pHAT provides 6 touch pads and 6 undermounted LEDs.
 Ideal for adding physical controls to your Raspberry Pi.
 .
 This is the Python 2 version of the package.

Package: python3-touchphat
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-cap1xxx
Suggests: python3-psutil, python3-requests
Description: Python library for the Pimoroni Touch pHAT
 Touch pHAT provides 6 touch pads and 6 undermounted LEDs.
 Ideal for adding physical controls to your Raspberry Pi.
 .
 This is the Python 3 version of the package.
